#ifndef MEDICALRECORDMANAGER_H
#define MEDICALRECORDMANAGER_H

/*
    des:病例管理--不部分完成
    date:20241028
*/
#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include <QGroupBox>
#include <QCheckBox>
#include <QDateEdit>
#include <QTableWidget>
#include <QTabWidget>
#include <QHeaderView>
#include <QAction>
#include "datamanager.h"

class  MedicalRecordManager:public QWidget
{
    Q_OBJECT
public:
    explicit MedicalRecordManager(QWidget * parent =NULL);
    virtual ~MedicalRecordManager();

    void  init();
    void  initLay();
    bool  initConnect();
    void  initTable();
private slots:
    /*
        des: 搜索
    */
    void slotSearch();


    //页面跳转

    void slotPreviousPage();//上一页update
    void slotNextPage();  //下一页
   void  updateContext();
   void  slotDelete();
private:
    int m_currentPage;
private:
    QLabel  m_labMedRecManager;
    QAction * m_actSearch;
    QLineEdit m_editSearch;


    QTableWidget m_tableWidget;

    //打开
   QPushButton m_btnOpen;
   //编辑
   QPushButton m_btnEdit;
   //导出
   QPushButton m_btnExport;
   //删除
   QPushButton m_btnDelete;
   //上一页
   QPushButton m_btnUpPage;
   QLabel      m_labPageNumTxt;
   //下一页
   QPushButton m_btnNetPage;
   //首页
   QPushButton m_btnfirstPage;
   //尾页
   QPushButton m_btnlastPage;

};


#endif // MEDICALRECORDMANAGER_H
